| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# NTuple.h File Reference

`#include <string>`
`#include <limits>`
`#include <cfloat>`
`#include <stdexcept>`
`#include "GaudiKernel/DataTypeInfo.h"`
`#include "GaudiKernel/DataObject.h"`
`#include "GaudiKernel/INTuple.h"`
`#include "GaudiKernel/SmartDataPtr.h"`
`#include "GaudiKernel/IOpaqueAddress.h"`

Include dependency graph for NTuple.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | NTuple
## Classes
class | NTuple::Range< TYP >
| Class defining a range. More...
class | NTuple::Range< bool >
class | NTuple::_Data< TYP >
| Abstract class discribing basic data in an Ntuple. More...
class | NTuple::_Item< TYP >
| Abstract class discribing a column in a N tuple. More...
class | NTuple::_Array< TYP >
| Abstract class discribing a column-array in a N tuple. More...
class | NTuple::_Matrix< TYP >
| Abstract class discribing a matrix column in a N tuple. More...
class | NTuple::_Accessor< TYP >
| Class acting as a smart pointer holding a N tuple entry. More...
class | NTuple::Item< TYP >
| Class acting as a smart pointer holding a N tuple _Item. More...
class | NTuple::Item< bool >
| Specialization acting as a smart pointer holding a N tuple _Item. More...
class | NTuple::Array< TYP >
| Class acting as a smart pointer holding a N tuple _Item. More...
class | NTuple::Matrix< TYP >
| Class acting as a smart pointer holding a N tuple _Item. More...
class | NTuple::Tuple
| Abstract base class which allows the user to interact with the actual N tuple implementation. More...
class | NTuple::Directory
| Small class representing an N tuple directory in the transient store. More...
class | NTuple::File
| Small class representing an N tuple file in the transient store. More...
class | NTuple::Array< IOpaqueAddress * >
class | NTuple::Matrix< IOpaqueAddress * >
## Typedefs
typedef SmartDataPtr< NTuple::Tuple > | NTuplePtr
typedef SmartDataPtr< NTuple::Directory > | NTupleDirPtr
typedef SmartDataPtr< NTuple::File > | NTupleFilePtr
## Functions
template<class T>
std::ostream & | operator<< (std::ostream &s, const NTuple::Item< T > &obj)

## Typedef Documentation

typedef SmartDataPtr<NTuple::Directory> NTupleDirPtr

Definition at line 1206 of file NTuple.h.

typedef SmartDataPtr<NTuple::File> NTupleFilePtr

Definition at line 1207 of file NTuple.h.

typedef SmartDataPtr<NTuple::Tuple> NTuplePtr

Definition at line 1205 of file NTuple.h.

## Function Documentation

template<class T>

std::ostream& operator<< | ( | std::ostream & | s,
|  | const NTuple::Item< T > & | obj |
| ) |  |  |

Definition at line 1210 of file NTuple.h.

References Gaudi::Units::s.

    01211 {
    01212   return s << T(obj);
    01213 }